<!DOCTYPE html>
<html>
	<head>

    <link rel="stylesheet" href="../css/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../css/graphviz.css" type="text/css" />
    <link rel="stylesheet" href="../css/theme.css" type="text/css" />
		<link rel="stylesheet" href="../css/test_code.css"/>
		<title> COURNAL Alexis </title>
	</head>

  <xmp># example 3
  $> inventoryclient get --index 'inv-cpu,inv-disk,inv-network'
  * inv-network
    - product          : 82540EM Gigabit Ethernet Controller
    - handle           : PCI:0000:00:03.0
    - description      : Ethernet interface
    - clock            : 66000000
    - @hostname        : ps-vm
    - logicalname      : enp0s3
    - capabilities     : {u'cap_list': u'PCI capabilities listing', u'1000bt-fd': u'1Gbit/s (full duplex)', u'bus_master': u'bus mastering', u'100bt': u'100Mbit/s', u'autonegotiation': u'Auto-negotiation', u'pcix': u'PCI-X', u'tp': u'twisted pair', u'10bt': u'10Mbit/s', u'10bt-fd': u'10Mbit/s (full duplex)', u'ethernet': True, u'physical': u'Physical interface', u'100bt-fd': u'100Mbit/s (full duplex)', u'pm': u'Power Management'}
    - businfo          : pci@0000:00:03.0
    - vendor           : Intel Corporation
    - width            : 32
    - version          : 02
    - id               : network:0
    - @timestamp       : 2019-03-13T09:25:09.968713
    - physid           : 3
    - units            : bit/s
    - capacity         : 1000000000
    - claimed          : True
    - configuration    : {u'latency': u'64', u'autonegotiation': u'on', u'duplex': u'full', u'ip': u'10.106.93.13', u'driverversion': u'7.3.21-k8-NAPI', u'driver': u'e1000', u'broadcast': u'yes', u'multicast': u'yes', u'link': u'yes', u'speed': u'1Gbit/s', u'port': u'twisted pair', u'mingnt': u'255'}
    - class            : network
    - serial           : 08:00:27:09:e5:9d
    - size             : 1000000000
  
  
  * inv-cpu
    - CPU(s)           : 1
    - L1d cache        : 32K
    - CPU op-mode(s)   : 32-bit, 64-bit
    - @timestamp       : 2019-03-13T09:25:07.612381
    - NUMA node0 CPU(s) : 0
    - Hypervisor vendor : KVM
    - L2 cache         : 256K
    - L1i cache        : 32K
    - Model name       : Intel(R) Core(TM) i3-3120M CPU @ 2.50GHz
    - Core(s) per socket : 1
    - Virtualization type : full
    - Thread(s) per core : 1
    - On-line CPU(s) list : 0
    - Socket(s)        : 1
    - Flags            : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx rdtscp lm constant_tsc rep_good nopl xtopology nonstop_tsc eagerfpu pni pclmulqdq monitor ssse3 cx16 pcid sse4_1 sse4_2 x2apic popcnt xsave avx hypervisor lahf_lm fsgsbase flush_l1d
    - Architecture     : x86_64
    - Model            : 58
    - Vendor ID        : GenuineIntel
    - CPU family       : 6
    - L3 cache         : 3072K
    - @hostname        : ps-vm
    - BogoMIPS         : 4988.66
    - Stepping         : 9
    - Byte Order       : Little Endian
    - NUMA node(s)     : 1
  
  
  * inv-disk
    - product          : VBOX HARDDISK
    - handle           : SCSI:02:00:00:00
    - description      : ATA Disk
    - id               : disk
    - @hostname        : ps-vm
    - logicalname      : /dev/sda
    - capabilities     : {u'partitioned': u'Partitioned disk', u'partitioned:dos': u'MS-DOS partition table'}
    - class            : disk
    - vendor           : VirtualBox
    - claimed          : True
    - version          : 1.0
    - businfo          : scsi@2:0.0.0
    - dev              : 8:0
    - @timestamp       : 2019-03-13T09:25:08.662907
    - units            : bytes
    - physid           : 0.0.0
    - serial           : VBa5ab4c24-99208959
    - configuration    : {u'ansiversion': u'5', u'sectorsize': u'512', u'logicalsectorsize': u'512', u'signature': u'000eda68'}
    - children         : []
    - size             : 17179869184
  
  </xmp>
</html>